Subject: osmo-bts.git branch master updated. 0.1.0-52-g18708dd
From: git repository hosting <[email-masked]>
To: [email-masked]
Date: Sat, 09 Feb 2013 14:18:47 +0100

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom BTS-side code (Abis, scheduling, ...)".

The branch, master has been updated
       via  18708dd3b60fa27e6a7121b686f11ee8c8069a4b (commit)
      from  98407bd457b88c1a26de2a9955de3de9846e4f68 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/cgit/osmo-bts/commit/?id=18708dd3b60fa27e6a7121b686f11ee8c8069a4b

commit 18708dd3b60fa27e6a7121b686f11ee8c8069a4b
Author: Harald Welte <[email-masked]>
Date:   Sat Feb 9 14:17:01 2013 +0100

    RSL: further rtp local bind related fixes
    
    If the CRCX does not indicate the remote IP address, then we still were
    binding to 0.0.0.0 and used that address successively in the CRCX_ACK.
    
    As a workaround, we now use the source IP address of the RTP socket,
    assuming that the outbound routes to BSC and the MGW are identical.
    This is of course not always true, but I don't think there are any
    better alternatives...

-----------------------------------------------------------------------

Summary of changes:
 src/common/rsl.c |   60 ++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 49 insertions(+), 11 deletions(-)

hooks/post-receive
-- 
Osmocom BTS-side code (Abis, scheduling, ...)